Debian Bug report logs - #413834
lcov: branch coverage (as gcov provides) would be nice to have

version graph

Package: lcov; Maintainer for lcov is Alastair McKinstry <mckinstry@debian.org>; Source for lcov is src:lcov.

Reported by: Marius Mikucionis <mmikucionis@gmail.com>

Date: Wed, 7 Mar 2007 12:39:01 UTC

Severity: wishlist

Found in version lcov/1.5-1

Fixed in version lcov/1.9-1

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#413834; Package lcov. Full text and rfc822 format available.

Acknowledgement sent to Marius Mikucionis <mmikucionis@gmail.com>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marius Mikucionis <mmikucionis@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lcov: branch coverage (as gcov provides) would be nice to have
Date: Wed, 07 Mar 2007 13:35:01 +0100
Package: lcov
Version: 1.5-1
Severity: wishlist

Hi,

gcov provides branch coverage via -b (or -c) option, 
but I can't find any option to trigger this in lcov.

Branch coverage is much better test coverage measure than 
just line coverage as lcov reports, see e.g. here:
http://www.bullseye.com/lineCoverage.html

marius

-- System Information:
Debian Release: 4.0
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.20.1
Locale: LANG=lt_LT.UTF-8, LC_CTYPE=lt_LT.UTF-8 (charmap=UTF-8)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#413834; Package lcov. (Tue, 27 Jul 2010 11:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Tue, 27 Jul 2010 11:12:08 GMT) Full text and rfc822 format available.

Message #10 received at 413834@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Marius Mikucionis <mmikucionis@gmail.com>, 413834@bugs.debian.org
Subject: Re: Bug#413834: lcov: branch coverage (as gcov provides) would be nice to have
Date: Tue, 27 Jul 2010 13:10:46 +0200
Hi!

On Wed, 2007-03-07 at 13:35:01 +0100, Marius Mikucionis wrote:
> Package: lcov
> Version: 1.5-1
> Severity: wishlist

> gcov provides branch coverage via -b (or -c) option, 
> but I can't find any option to trigger this in lcov.
> 
> Branch coverage is much better test coverage measure than 
> just line coverage as lcov reports, see e.g. here:
> http://www.bullseye.com/lineCoverage.html

As of version 1.8, it seems this is supported already, so this bug
report might deserve to be closed.

regards,
guillem




Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. (Fri, 08 Oct 2010 13:51:04 GMT) Full text and rfc822 format available.

Notification sent to Marius Mikucionis <mmikucionis@gmail.com>:
Bug acknowledged by developer. (Fri, 08 Oct 2010 13:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 413834-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 413834-close@bugs.debian.org
Subject: Bug#413834: fixed in lcov 1.9-1
Date: Fri, 08 Oct 2010 13:47:24 +0000
Source: lcov
Source-Version: 1.9-1

We believe that the bug you reported is fixed in the latest version of
lcov, which is due to be installed in the Debian FTP archive:

lcov_1.9-1.debian.tar.gz
  to main/l/lcov/lcov_1.9-1.debian.tar.gz
lcov_1.9-1.dsc
  to main/l/lcov/lcov_1.9-1.dsc
lcov_1.9-1_all.deb
  to main/l/lcov/lcov_1.9-1_all.deb
lcov_1.9.orig.tar.gz
  to main/l/lcov/lcov_1.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 413834@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated lcov package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 Oct 2010 13:52:49 +0100
Source: lcov
Binary: lcov
Architecture: source all
Version: 1.9-1
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 lcov       - Summarise Code coverage information from GCOV
Closes: 413834 578571 589753 590562 599388
Changes: 
 lcov (1.9-1) unstable; urgency=low
 .
   * New upstream release. Closes: #599388, #413834.
   * Standards-Version: 3.9.1
   * Patch from Enrico Zini for genhtml in missing source file case.
     Closes: #578571.
   * Patch from Guillem Jover for UTF-8. Closes: #590562.
   * PERL should be spelt "Perl". Closes: #589753.
   * Add Depends: on ${perl:Depends}, gcc; Recommends: libgd-gd2-perl
Checksums-Sha1: 
 b1f8311028c1a0128f2f902c0954f17b4b47a9b6 1002 lcov_1.9-1.dsc
 5aff4b998b1288896734326a0b74ab536339ec21 140035 lcov_1.9.orig.tar.gz
 ce08b9c49da3711a891d2a04e23c09952e19564d 22536 lcov_1.9-1.debian.tar.gz
 99510c70408e980f6a119ec75fd3f47aa72b4ba0 108568 lcov_1.9-1_all.deb
Checksums-Sha256: 
 dc10ce0bc86d876dae8e408a1e261e9900acaaa90c03b45f1dffb501baa1d425 1002 lcov_1.9-1.dsc
 c37e125d4f0773339de3600d45ad325fe710ea2f0051d7ee2b8a168f450f1aca 140035 lcov_1.9.orig.tar.gz
 124ef93dcf726d8f20d218317bee9a02a049a72e5ad92670fac8646f7dd50aa5 22536 lcov_1.9-1.debian.tar.gz
 c90335221b8dd402b00f4e8099ad91f1e9bc239e899347861c5885055e04ef1d 108568 lcov_1.9-1_all.deb
Files: 
 a83f6d391527e0746d70dddc35dd7007 1002 devel optional lcov_1.9-1.dsc
 8b88cfc0200a8c176b879ac115a31379 140035 devel optional lcov_1.9.orig.tar.gz
 ce04108114d4ea814dc1440a868f9dea 22536 devel optional lcov_1.9-1.debian.tar.gz
 8dc2d5248b07a1403aafd02d4a8b3928 108568 devel optional lcov_1.9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyvHgIACgkQQTK/kCo4XFciiwCgpo7mdPo6cobMiZwjB/iZdSI+
N/MAn0RlxjoBXpln8wrKpWztcBznv5qP
=n8pr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:36:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 11:57:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.